<?php

namespace app\admin\controller\sys_manage;

use app\controller\Curd;
use app\model\SysDept;
use support\Request;
use support\Response;

class RestaurantController extends Curd{
    public function __construct()
    {
        $this->model = new SysDept();
    }


    public function select(Request $request):Response
    {        
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $where['dept_category'] = '餐厅';
        $order = $request->get('order', 'desc');
        $field = $field ?? 'dept_sort';
        $query = $this->doSelect($where, $field, $order);
        
        return $this->doFormat($query, $format, $limit);
    }
}